routes/web.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\InventoryController;
use App\Http\Controllers\ItemController;
use App\Http\Controllers\WarehouseController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


// Authentication routes (login, register, etc.)
Auth::routes();

Route::middleware(['auth'])->group(function () {

    Route::get('/home', [HomeController::class, 'index'])->name('home');

    // Inventory routes
    Route::group(['prefix'=>'/inventory','as'=>'inventory.'], function(){
        Route::get('/', [InventoryController::class, 'index'])->name('index');
        
        Route::group(['prefix'=>'/mutations','as'=>'mutations.'], function(){
            Route::get('/index/{type}', [InventoryController::class, 'indexMutation'])->name('index');
            Route::get('/create', [InventoryController::class, 'createMutation'])->name('create');
            Route::post('/store', [InventoryController::class, 'storeMutation'])->name('store');
        });

        // Route::get('/incoming-mutations', [InventoryController::class, 'incomingMutations'])->name('mutations.create');
        // Route::post('/incoming-mutations', [InventoryController::class, 'storeIncomingMutation'])->name('mutations.create');

        // Route::get('/outgoing-mutations', [InventoryController::class, 'outgoingMutations'])->name('mutations.create');
        // Route::post('/outgoing-mutations', [InventoryController::class, 'storeOutgoingMutation'])->name('mutations.create');
        
    });

    
    /**  Master Data routes **/

    Route::group(['prefix'=>'/masterdata','as'=>'masterdata.'], function(){

        // Items routes
        Route::group(['prefix'=>'/items','as'=>'items.'], function(){
            Route::get('/', [ItemController::class, 'index'])->name('index');
            Route::get('/create', [ItemController::class, 'create'])->name('create');
            Route::post('/store', [ItemController::class, 'store'])->name('store');
        });

        // Warehouses routes
        Route::group(['prefix'=>'/warehouses','as'=>'warehouses.'], function(){
            Route::get('/', [WarehouseController::class, 'index'])->name('index');
            Route::get('/create', [WarehouseController::class, 'create'])->name('create');
            Route::post('/store', [WarehouseController::class, 'store'])->name('store');
        });

    });

});

resources/views/warehouses/create.blade.php
<!-- resources/views/warehouses/create.blade.php -->

@extends('layouts.app')

@section('content')
    <div class="d-flex justify-content-between">
        <h1>Create Warehouse</h1>
        <a href="{{ route('masterdata.warehouses.index') }}" class="btn btn-warning mt-2 mb-1">Back to List</a>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('masterdata.warehouses.store') }}" method="post">
        @csrf
        <div class="mb-3">
            <label for="name">Warehouse Name:</label>
            <input type="text" name="name" id="name" class="form-control" required>
        </div>

        <div class="mb-3">
            <label for="location">Location:</label>
            <input type="text" name="location" id="location" class="form-control" required>
        </div>

        <button type="submit" class="btn btn-primary">Create Warehouse</button>

    </form>
@endsection

resources/views/warehouses/index.blade.php
<!-- listing warehouses -->

<!-- resources/views/warehouses.blade.php -->

@extends('layouts.app')

@section('content')
    <div class="d-flex justify-content-between">
        <h1>Warehouses</h1>
        <a href="{{ route('masterdata.warehouses.create') }}" class="btn btn-primary mt-2 mb-1">Create New</a>
    </div>

    @if (session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Location</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($warehouses as $warehouse)
                <tr>
                    <td>{{ $warehouse->name }}</td>
                    <td>{{ $warehouse->location }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endsection